Skip to main content
POST
/
v1
/
workspace
/
call-outcomes
Create Call Outcome
curl --request POST \
  --url https://api.oneinbox.ai/v1/workspace/call-outcomes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "name": "<string>",
  "description": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "label": "<string>",
  "description": "<string>",
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Body

application/json
label
string
required

Display label, e.g. 'Appointment Booked'.

Required string length: 1 - 100
name
string | null

snake_case identifier. Auto-derived from label when omitted.

Maximum string length: 40
Pattern: ^[a-z][a-z0-9_]*$
description
string | null
Maximum string length: 500

Response

Successful Response

id
string
required
name
string
required
label
string
required
description
string | null
required
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required